petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscLogEventDeactivate

Indicates that a particular event should not be logged.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventDeactivate(PetscLogEvent event)

Not Collective Many br

### Input Parameter

event -The event id Many br

### Usage

          PetscLogEventDeactivate(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventActivate(VEC_SetValues);
            [code where you do want to log VecSetValues()]

Many br

### Note

The event may be either a pre-defined PETSc event (found in Many brinclude/petsclog.h) or an event number obtained with PetscLogEventRegister()). Many br

Many br

### Keywords

log, event, deactivate

### See Also

PetscLogEventMPEDeactivate(),PetscLogEventMPEActivate(),PlogEventActivate()

Level:advanced
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex3.c.html
src/sys/examples/tutorials/ex3f.F.html